Quantity of the activity. This is the default value used when creating an expense or time-based fee.
For type 'Expense', this field represents the quantity of the expense in units.
For type 'Time', this field represents the duration of in minutes, divided by 100,
e.g. for 1 hour duration, quantity is 0.6, which is 60 minutes divided by 100.
Applies only for 'Time' and 'Expense' types. Not applicable for activity type 'Fixed'.
Output tax rate of the activity percentage accurate to two decimal places.
Example:
45.63
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Smokeball","colors":{"primary":"#f2600c","light":"#f2600c","dark":"#f2600c"},"logo":{"light":"https://mintcdn.com/smokeball/M3xU16wx3zLWrCy3/logo/light.svg?fit=max\u0026auto=format\u0026n=M3xU16wx3zLWrCy3\u0026q=85\u0026s=9742e65825b3575ca562541e0e7571d3","dark":"https://mintcdn.com/smokeball/M3xU16wx3zLWrCy3/logo/dark.svg?fit=max\u0026auto=format\u0026n=M3xU16wx3zLWrCy3\u0026q=85\u0026s=41d28476531680072164e1c91ac71a92","href":"https://www.smokeball.com"},"favicon":"https://mintcdn.com/smokeball/LxpjiDzzIUXckVg2/favicon.png?fit=max\u0026auto=format\u0026n=LxpjiDzzIUXckVg2\u0026q=85\u0026s=7230aa1ad4ca565e84539a7635af36e2","appearance":{"default":"light"},"navbar":{"links":[{"href":"https://support.smokeball.com","label":"Support"}],"primary":{"type":"button","label":"Developer Console","href":"https://console.smokeball.com"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/smokeball-com","facebook":"https://www.facebook.com/SmokeballUS","youtube":"https://www.youtube.com/c/SmokeballNews"}},"fonts":{"heading":{"family":"Poppins"},"body":{"family":"Inter"}},"styling":{"codeblocks":"dark","latex":false},"navigation":{"global":{"anchors":[{"anchor":"Marketplace","icon":"store","href":"https://marketplace.smokeball.com"},{"anchor":"Blog","icon":"newspaper","href":"https://www.smokeball.com/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"smokeball","hasAudioNarration":false,"actualSubdomain":"smokeball","customDomains":["docs.smokeball.com"],"gitSource":{"type":"github","owner":"smokeballdev","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aec14306a36de6d85c1ab55","collectionId":"d1e85e38-a110-40d6-9a1e-936eb0e203bd","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aec14306a36de6d85c1ab55"},"feedback":{"thumbs":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aed1e17140deabf4530ab10","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API","count":212},{"language":"default","tag":"APIs","count":195},{"language":"default","tag":"SDK","count":40},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Matters","count":15},{"language":"default","tag":"Contacts","count":14},{"language":"default","tag":"Tasks","count":14},{"language":"default","tag":"Files","count":13},{"language":"default","tag":"Platform","count":11},{"language":"default","tag":"Bank Accounts","count":10}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":"#hero-container{height:24rem;overflow:hidden}#hero-background{opacity:0.05}#hero-content{position:absolute;text-align:center;padding:0 1rem}#hero-title{font-weight:800;font-size:36px;margin:0;font-family:Poppins}#hero-description{margin-top:1rem;font-weight:400;font-size:16px;max-width:42rem;text-align:center;margin:1rem auto;font-family:Poppins}#home-search-entry{margin-top:2rem;max-width:24rem;font-family:Poppins;font-weight:700;font-size:1.1rem;letter-spacing:0.02em;border:2px solid transparent;cursor:pointer;transition:all 0.2s ease-in-out;outline:none;background-color:#FF5C00;box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}#home-search-entry:hover{background-color:#FF7A33;transform:scale(1.02);box-shadow:0 6px 8px -1px rgba(0, 0, 0, 0.15), 0 3px 6px -1px rgba(0, 0, 0, 0.08)}#search-icon{margin-right:0.75rem;mask-image:url(\"https://mintlify.b-cdn.net/v6.5.1/solid/magnifying-glass.svg\");mask-repeat:no-repeat;mask-position:center center;background-color:currentColor}#main-content-container{margin-top:2rem;margin-bottom:8rem;max-width:70rem;margin-left:auto;margin-right:auto;padding-left:1.25rem;padding-right:1.25rem}#documentation-section{margin-top:2rem;margin-bottom:2rem}#documentation-title{font-size:2rem;font-weight:800;font-family:Poppins}#partner-section{margin-top:2rem;margin-bottom:2rem}#partner-title{font-size:2rem;font-weight:800;font-family:Poppins}#partner-description{font-size:1.05rem;margin-bottom:1rem}"}],"page":{"pagePath":"api-reference/activity-codes/get-an-activity-code","slug":"/api-reference/activity-codes/get-an-activity-code","pageMetadata":{"title":"Get an activity code","description":"Retrieves a specified activity code.","deprecated":null,"version":null,"openapi":"/openapi.json get /activitycodes/{id}","href":"/api-reference/activity-codes/get-an-activity-code","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves a specified activity code.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"title":"Get an activity code","description":"Retrieves a specified activity code.","deprecated":null,"version":null,"openapi":"/openapi.json get /activitycodes/{id}","href":"/api-reference/activity-codes/get-an-activity-code","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/smokeball/5af3984d21ddfa7a/scripts/lib/claude-client.js","/_mintlify/custom/smokeball/4484f15c23b65054/scripts/lib/jira-client.js","/_mintlify/custom/smokeball/5079fd8276126440/scripts/lib/mdx-parser.js","/_mintlify/custom/smokeball/d3836391da5f0f6d/scripts/lib/summary-formatter.js","/_mintlify/custom/smokeball/b2629937faf7b0d7/scripts/update-release-notes.js"],"openApiReferenceData":{"operation":{"tags":["Activity Codes"],"summary":"Get an activity code","description":"Retrieves a specified activity code.","operationId":"GetActivityCodeById","parameters":["6d123381-6b14-4402-91ca-3ce52d06b728"],"responses":{"200":"e2e7c20b-e181-4886-b860-3a7dce1a8899","400":"b62ef987-8a77-46c1-bee0-68385e748eae","403":"ecb0a025-91b7-4f37-a7eb-58d54d921469","404":"399c0cab-14cf-492b-8f75-fabc2eedf381"},"method":"get","type":"path","servers":["fc2e797b-18fd-4b80-8253-08b38cbfcc99","4b558046-da73-4423-b552-39520ab22b88","d0a8454d-53e5-4a21-95bf-0c7ef224a7d8","29010b88-a3ec-4ea3-b432-402a8b4d0536","46c91532-5d77-400f-a7fc-7c9576b0aff4","8c4fcc6c-293e-4860-b56b-e6642d2734e6"],"security":["ef1db7a5-9acf-46b5-8511-da3e8dd53df5"],"path":"/activitycodes/{id}","baseUrlOptions":["https://api.smokeball.com","https://api.smokeball.com.au","https://api.smokeball.co.uk","https://stagingapi.smokeball.com","https://stagingapi.smokeball.com.au","https://stagingapi.smokeball.co.uk"],"title":"Get an activity code","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"6d123381-6b14-4402-91ca-3ce52d06b728":{"name":"id","in":"path","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"responses":{"e2e7c20b-e181-4886-b860-3a7dce1a8899":{"description":"When request is successful. Returns an 'Activity' object.","content":{"application/json":{"schema":{"type":"object","properties":{"href":{"oneOf":[{"type":"string","uniqueKey":"href.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"href.oneOf.1","typeLabel":"null"}],"uniqueKey":"href","typeLabel":"string | null"},"relation":{"oneOf":[{"type":"string","uniqueKey":"relation.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"relation.oneOf.1","typeLabel":"null"}],"uniqueKey":"relation","typeLabel":"string | null"},"method":{"oneOf":[{"type":"string","default":"GET","uniqueKey":"method.oneOf.0","typeLabel":"string"},{"type":"null","default":"GET","uniqueKey":"method.oneOf.1","typeLabel":"null"}],"uniqueKey":"method","typeLabel":"string | null"},"self":{"oneOf":[{"type":"object","properties":{"id":{"oneOf":[{"type":"string","uniqueKey":"self.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"self.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"self.oneOf.0.id","typeLabel":"string | null"},"href":{"oneOf":[{"type":"string","uniqueKey":"self.oneOf.0.href.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"self.oneOf.0.href.oneOf.1","typeLabel":"null"}],"uniqueKey":"self.oneOf.0.href","typeLabel":"string | null"},"relation":{"oneOf":[{"type":"string","uniqueKey":"self.oneOf.0.relation.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"self.oneOf.0.relation.oneOf.1","typeLabel":"null"}],"uniqueKey":"self.oneOf.0.relation","typeLabel":"string | null"},"method":{"oneOf":[{"type":"string","default":"GET","uniqueKey":"self.oneOf.0.method.oneOf.0","typeLabel":"string"},{"type":"null","default":"GET","uniqueKey":"self.oneOf.0.method.oneOf.1","typeLabel":"null"}],"uniqueKey":"self.oneOf.0.method","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"self.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"self.oneOf.1","typeLabel":"null"}],"uniqueKey":"self","typeLabel":"object | null"},"id":{"oneOf":[{"type":"string","description":"Unique identifier of the activity.","example":"23d2a4bc-8529-462e-8560-dfbf4fa24e49","uniqueKey":"id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the activity.","example":"23d2a4bc-8529-462e-8560-dfbf4fa24e49","uniqueKey":"id.oneOf.1","typeLabel":"null"}],"uniqueKey":"id","typeLabel":"string | null"},"versionId":{"oneOf":[{"type":"string","description":"Unique version identifier of the activity.","example":"23d2a4bc-8529-462e-8560-dfbf4fa24e49","uniqueKey":"versionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique version identifier of the activity.","example":"23d2a4bc-8529-462e-8560-dfbf4fa24e49","uniqueKey":"versionId.oneOf.1","typeLabel":"null"}],"uniqueKey":"versionId","typeLabel":"string | null"},"updatedByUserId":{"oneOf":[{"type":"string","description":"Unique identifier of the user that last updated the activity.","example":"750eb5c5-ac0b-7d11-4997-e0ce9d8896c8","uniqueKey":"updatedByUserId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the user that last updated the activity.","example":"750eb5c5-ac0b-7d11-4997-e0ce9d8896c8","uniqueKey":"updatedByUserId.oneOf.1","typeLabel":"null"}],"uniqueKey":"updatedByUserId","typeLabel":"string | null"},"type":{"type":"integer","description":"Type of the activity.\r\n\r\nPossible values: Fixed = '0', Time = '1', Expense = '2'","format":"int32","enum":[0,1,2,3],"example":0,"uniqueKey":"type","typeLabel":"enum\u003cinteger>"},"description":{"oneOf":[{"type":"string","description":"Description of the activity.","example":"Contract review","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Description of the activity.","example":"Contract review","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"code":{"oneOf":[{"type":"string","description":"Code of the activity.","example":"CR","uniqueKey":"code.oneOf.0","typeLabel":"string"},{"type":"null","description":"Code of the activity.","example":"CR","uniqueKey":"code.oneOf.1","typeLabel":"null"}],"uniqueKey":"code","typeLabel":"string | null"},"isBillable":{"type":"boolean","description":"True if the activity is billable.","example":true,"uniqueKey":"isBillable","typeLabel":"boolean"},"rateType":{"type":"integer","description":"The activity rate type.\r\n\r\nPossible values: UseDefaultStaffRate = '0', OverrideRateForAllStaff = '1', OverrideRatePerStaff = '2'","format":"int32","enum":[0,1,2],"example":2,"uniqueKey":"rateType","typeLabel":"enum\u003cinteger>"},"rate":{"type":"number","description":"Rate of the activity in dollars.\r\n\r\nIf set, rate type must be OverrideRateForAllStaff","format":"double","example":23.2,"uniqueKey":"rate","typeLabel":"number\u003cdouble>"},"quantity":{"type":"number","description":"Quantity of the activity. This is the default value used when creating an expense or time-based fee.\r\n\r\nFor type 'Expense', this field represents the quantity of the expense in units.\r\nFor type 'Time', this field represents the duration of in minutes, divided by 100,\r\ne.g. for 1 hour duration, quantity is 0.6, which is 60 minutes divided by 100.\r\n\r\nApplies only for 'Time' and 'Expense' types. Not applicable for activity type 'Fixed'.","format":"double","example":0.6,"uniqueKey":"quantity","typeLabel":"number\u003cdouble>"},"taxInclusive":{"type":"boolean","description":"If true, the amount is GST inclusive, otherwise GST exclusive. Only applicable in AU.\r\n\r\nGST inclusive means: Amount exc. GST = Amount - GST, Amount inc. GST = Amount.\r\n\r\nGST exclusive means: Amount exc. GST = Amount, Amount inc. GST = Amount + GST.","example":true,"uniqueKey":"taxInclusive","typeLabel":"boolean"},"taxExempt":{"type":"boolean","description":"Sets tax rate to 0 for the entry (e.g. expense).","example":true,"uniqueKey":"taxExempt","typeLabel":"boolean"},"taxZeroRated":{"type":"boolean","description":"Indicates the entry is zero-rated for tax purposes. Mutually exclusive with other tax settings.","example":false,"uniqueKey":"taxZeroRated","typeLabel":"boolean"},"taxOutOfScope":{"type":"boolean","description":"Indicates the entry is out of scope for tax purposes. Mutually exclusive with other tax settings.","example":false,"uniqueKey":"taxOutOfScope","typeLabel":"boolean"},"isDeleted":{"type":"boolean","description":"True if the activity is deleted.","example":true,"uniqueKey":"isDeleted","typeLabel":"boolean"},"inputTaxRate":{"oneOf":[{"type":"number","description":"Input tax rate of the activity percentage accurate to two decimal places.","format":"double","example":45.63,"uniqueKey":"inputTaxRate.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","description":"Input tax rate of the activity percentage accurate to two decimal places.","format":"double","example":45.63,"uniqueKey":"inputTaxRate.oneOf.1","typeLabel":"null"}],"uniqueKey":"inputTaxRate","typeLabel":"number\u003cdouble> | null"},"outputTaxRate":{"oneOf":[{"type":"number","description":"Output tax rate of the activity percentage accurate to two decimal places.","format":"double","example":45.63,"uniqueKey":"outputTaxRate.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","description":"Output tax rate of the activity percentage accurate to two decimal places.","format":"double","example":45.63,"uniqueKey":"outputTaxRate.oneOf.1","typeLabel":"null"}],"uniqueKey":"outputTaxRate","typeLabel":"number\u003cdouble> | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"href":"\u003cstring>","relation":"\u003cstring>","method":"GET","self":{"id":"\u003cstring>","href":"\u003cstring>","relation":"\u003cstring>","method":"GET"},"id":"23d2a4bc-8529-462e-8560-dfbf4fa24e49","versionId":"23d2a4bc-8529-462e-8560-dfbf4fa24e49","updatedByUserId":"750eb5c5-ac0b-7d11-4997-e0ce9d8896c8","type":0,"description":"Contract review","code":"CR","isBillable":true,"rateType":2,"rate":23.2,"quantity":0.6,"taxInclusive":true,"taxExempt":true,"taxZeroRated":false,"taxOutOfScope":false,"isDeleted":true,"inputTaxRate":45.63,"outputTaxRate":45.63}}},"exampleType":"generated"}},"exampleType":"generated"},"b62ef987-8a77-46c1-bee0-68385e748eae":{"description":"When an unsupported request is made.","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"oneOf":[{"type":"string","uniqueKey":"type.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"type.oneOf.1","typeLabel":"null"}],"uniqueKey":"type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"title.oneOf.1","typeLabel":"null"}],"uniqueKey":"title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"null"}],"uniqueKey":"status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"additionalProperties","typeLabel":"any"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"\u003cstring>","title":"\u003cstring>","status":123,"detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"ecb0a025-91b7-4f37-a7eb-58d54d921469":{"description":"When activity code with specified id is not associated with authenticated client.","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"oneOf":[{"type":"string","uniqueKey":"type.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"type.oneOf.1","typeLabel":"null"}],"uniqueKey":"type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"title.oneOf.1","typeLabel":"null"}],"uniqueKey":"title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"null"}],"uniqueKey":"status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"additionalProperties","typeLabel":"any"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"\u003cstring>","title":"\u003cstring>","status":123,"detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"399c0cab-14cf-492b-8f75-fabc2eedf381":{"description":"When activity code with specified id does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"oneOf":[{"type":"string","uniqueKey":"type.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"type.oneOf.1","typeLabel":"null"}],"uniqueKey":"type","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"title.oneOf.1","typeLabel":"null"}],"uniqueKey":"title","typeLabel":"string | null"},"status":{"oneOf":[{"type":"integer","format":"int32","uniqueKey":"status.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","uniqueKey":"status.oneOf.1","typeLabel":"null"}],"uniqueKey":"status","typeLabel":"integer\u003cint32> | null"},"detail":{"oneOf":[{"type":"string","uniqueKey":"detail.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"detail.oneOf.1","typeLabel":"null"}],"uniqueKey":"detail","typeLabel":"string | null"},"instance":{"oneOf":[{"type":"string","uniqueKey":"instance.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"instance.oneOf.1","typeLabel":"null"}],"uniqueKey":"instance","typeLabel":"string | null"}},"additionalProperties":{"oneOf":[{}],"uniqueKey":"additionalProperties","typeLabel":"any"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"\u003cstring>","title":"\u003cstring>","status":123,"detail":"\u003cstring>","instance":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"ef1db7a5-9acf-46b5-8511-da3e8dd53df5":{"api-key":{"type":"apiKey","name":"x-api-key","in":"header","scopes":[],"schemeName":"api-key"},"token":{"type":"apiKey","name":"Authorization","in":"header","x-amazon-apigateway-authtype":"cognito_user_pools","scopes":[],"schemeName":"token"}}},"servers":{"fc2e797b-18fd-4b80-8253-08b38cbfcc99":{"url":"https://api.smokeball.com"},"4b558046-da73-4423-b552-39520ab22b88":{"url":"https://api.smokeball.com.au"},"d0a8454d-53e5-4a21-95bf-0c7ef224a7d8":{"url":"https://api.smokeball.co.uk"},"29010b88-a3ec-4ea3-b432-402a8b4d0536":{"url":"https://stagingapi.smokeball.com"},"46c91532-5d77-400f-a7fc-7c9576b0aff4":{"url":"https://stagingapi.smokeball.com.au"},"8c4fcc6c-293e-4860-b56b-e6642d2734e6":{"url":"https://stagingapi.smokeball.co.uk"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","name":"x-api-key","in":"header","scopes":[],"schemeName":"api-key"},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"api-key","name":"x-api-key"},{"scheme":{"type":"apiKey","name":"Authorization","in":"header","x-amazon-apigateway-authtype":"cognito_user_pools","scopes":[],"schemeName":"token"},"schema":{"title":"Authorization","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"token","name":"Authorization"}],"title":"api-key \u0026 token"}]},"originalFileLocation":"openapi.json"},"subdomain":"smokeball","siteName":"Smokeball","title":"Get an activity code - Smokeball","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-06T00:23:58.953Z","originalFileLocation":"api-reference/activity-codes/get-an-activity-code.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves a specified activity code.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Smokeball\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/smokeball/YT9oRRLb2fl_fJ6Z/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/smokeball/YT9oRRLb2fl_fJ6Z/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/smokeball/YT9oRRLb2fl_fJ6Z/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/smokeball/YT9oRRLb2fl_fJ6Z/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/smokeball/YT9oRRLb2fl_fJ6Z/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/smokeball/YT9oRRLb2fl_fJ6Z/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/smokeball/YT9oRRLb2fl_fJ6Z/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/smokeball/YT9oRRLb2fl_fJ6Z/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/smokeball/YT9oRRLb2fl_fJ6Z/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get an activity code - Smokeball\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves a specified activity code.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Smokeball\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.smokeball.com/api-reference/activity-codes/get-an-activity-code\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://smokeball.mintlify.site/_mintlify/api/og/v2?division=Activity+Codes\u0026amp;title=Get+an+activity+code\u0026amp;description=Retrieves+a+specified+activity+code.\u0026amp;theme=72503ad8812ca0e367fb42df\u0026amp;signature=5b54feb66d66f6d6ba4786f8dd5552e964a3ab606b14111336731c9d5ad5932b\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get an activity code - Smokeball\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves a specified activity code.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://smokeball.mintlify.site/_mintlify/api/og/v2?division=Activity+Codes\u0026amp;title=Get+an+activity+code\u0026amp;description=Retrieves+a+specified+activity+code.\u0026amp;theme=72503ad8812ca0e367fb42df\u0026amp;signature=5b54feb66d66f6d6ba4786f8dd5552e964a3ab606b14111336731c9d5ad5932b\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/smokeball/YT9oRRLb2fl_fJ6Z/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Smokeball\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#f2600c\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.smokeball.com/api-reference/activity-codes/get-an-activity-code\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/activity-codes/get-an-activity-code.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.smokeball.com/#organization\",\"name\":\"Smokeball\",\"url\":\"https://docs.smokeball.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/smokeball/M3xU16wx3zLWrCy3/logo/light.svg?fit=max\u0026auto=format\u0026n=M3xU16wx3zLWrCy3\u0026q=85\u0026s=9742e65825b3575ca562541e0e7571d3\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.smokeball.com#website\",\"name\":\"Smokeball\",\"url\":\"https://docs.smokeball.com\",\"publisher\":{\"@id\":\"https://docs.smokeball.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.smokeball.com/api-reference/activity-codes/get-an-activity-code#webpage\",\"url\":\"https://docs.smokeball.com/api-reference/activity-codes/get-an-activity-code\",\"name\":\"Get an activity code\",\"description\":\"Retrieves a specified activity code.\",\"dateModified\":\"2026-11-06T00:23:58.953Z\",\"isPartOf\":{\"@id\":\"https://docs.smokeball.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.smokeball.com/api-reference/activity-codes/get-an-activity-code#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.smokeball.com/api-reference/activity-codes/get-an-activity-code#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Smokeball\",\"item\":\"https://docs.smokeball.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get an activity code\",\"item\":\"https://docs.smokeball.com/api-reference/activity-codes/get-an-activity-code\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.smokeball.com/api-reference/activity-codes/get-an-activity-code#apireference\",\"headline\":\"Get an activity code\",\"name\":\"Get an activity code\",\"description\":\"Retrieves a specified activity code.\",\"url\":\"https://docs.smokeball.com/api-reference/activity-codes/get-an-activity-code\",\"mainEntityOfPage\":{\"@id\":\"https://docs.smokeball.com/api-reference/activity-codes/get-an-activity-code#webpage\"},\"dateModified\":\"2026-11-06T00:23:58.953Z\",\"publisher\":{\"@id\":\"https://docs.smokeball.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.smokeball.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Smokeball\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Smokeball","nav":{"global":{"anchors":[{"anchor":"Marketplace","icon":"store","href":"https://marketplace.smokeball.com"},{"anchor":"Blog","icon":"newspaper","href":"https://www.smokeball.com/blog"}]},"tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/home"}]},{"tab":"Platform","pages":[{"title":"Platform","href":"/docs/platform-docs/va20w41tid7py-get-started-overview"}]},{"tab":"API","groups":[{"group":"Documentation","pages":[{"group":"Getting Started","icon":"hand-wave","pages":[{"title":"Introduction","href":"/docs/api-docs/1e13a13124aee-introduction"},{"title":"Base URLs","href":"/docs/api-docs/z2q8vla6b77g8-base-urls"},{"title":"Rate Limits","href":"/docs/api-docs/vj4jovpoopdov-rate-limits"}]},{"group":"Authentication","icon":"lock","pages":[{"title":"Overview","href":"/docs/api-docs/c916c683c136e-authentication-overview"},{"title":"Authorization Code Grant","href":"/docs/api-docs/2t26gcuuqf1wk-authorization-code-grant"},{"title":"Client Credentials Grant","href":"/docs/api-docs/h72024p76i8e1-client-credentials-grant"},{"title":"Scopes","href":"/docs/api-docs/qf83nz2scopes-scopes"},{"title":"Logout Endpoint","href":"/docs/api-docs/9de98u0xqsckx-logout-endpoint"}]},{"title":"Making Requests","icon":"globe","href":"/docs/api-docs/ivmfjbc61tvjs-making-requests"},{"title":"Errors","icon":"circle-exclamation","href":"/docs/api-docs/e4f5a6b7c8d9e-errors"},{"title":"Searching","icon":"magnifying-glass","href":"/docs/api-docs/272770a37d359-searching"},{"title":"Plugins","icon":"plug","href":"/docs/api-docs/scmo7vmtln5hm-plugins"},{"title":"Webhooks","icon":"webhook","href":"/docs/api-docs/wivbkstcwngb5-webhooks"}]},{"group":"Tutorials","pages":[{"title":"Matters","icon":"book","href":"/docs/api-docs/voyymdyjn5yp3-matters"},{"title":"Leads","icon":"book","href":"/docs/api-docs/plu740klph0ho-leads"},{"title":"Files and Folders","icon":"book","href":"/docs/api-docs/wivbkstcwngb5-files-folders"},{"title":"Layouts","icon":"book","description":null,"href":"/docs/api-docs/0d3adba1494ce-layouts"}]},{"group":"APIs","pages":[{"group":"Activity Codes","pages":[{"title":"Get an activity code","deprecated":null,"version":null,"openapi":"/openapi.json get /activitycodes/{id}","href":"/api-reference/activity-codes/get-an-activity-code"},{"title":"Update an activity code","description":"Updates an activity code.","deprecated":null,"version":null,"openapi":"/openapi.json put /activitycodes/{id}","href":"/api-reference/activity-codes/update-an-activity-code"},{"title":"Delete an activity code","deprecated":null,"version":null,"openapi":"/openapi.json delete /activitycodes/{id}","href":"/api-reference/activity-codes/delete-an-activity-code"},{"title":"Get activity codes","deprecated":null,"version":null,"openapi":"/openapi.json get /activitycodes","href":"/api-reference/activity-codes/get-activity-codes"},{"title":"Create an activity code","deprecated":null,"version":null,"openapi":"/openapi.json post /activitycodes","href":"/api-reference/activity-codes/create-an-activity-code"}]},{"group":"Authorization","pages":[{"title":"Get authorization groups","deprecated":null,"version":null,"openapi":"/openapi.json get /groups","href":"/api-reference/authorization/get-authorization-groups"},{"title":"Create an authorization group","deprecated":null,"version":null,"openapi":"/openapi.json post /groups","href":"/api-reference/authorization/create-an-authorization-group"},{"title":"Get an authorization group","deprecated":null,"version":null,"openapi":"/openapi.json get /groups/{id}","href":"/api-reference/authorization/get-an-authorization-group"},{"title":"Update an authorization group","deprecated":null,"version":null,"openapi":"/openapi.json put /groups/{id}","href":"/api-reference/authorization/update-an-authorization-group"},{"title":"Deletes an authorization group","deprecated":null,"version":null,"openapi":"/openapi.json delete /groups/{id}","href":"/api-reference/authorization/deletes-an-authorization-group"},{"title":"Get an authorization policy","deprecated":null,"version":null,"openapi":"/openapi.json get /policies/{reference}","href":"/api-reference/authorization/get-an-authorization-policy"},{"title":"Update an authorization policy","deprecated":null,"version":null,"openapi":"/openapi.json put /policies/{reference}","href":"/api-reference/authorization/update-an-authorization-policy"},{"title":"Create an authorization policy","deprecated":null,"version":null,"openapi":"/openapi.json post /policies","href":"/api-reference/authorization/create-an-authorization-policy"}]},{"group":"Bank Accounts","pages":[{"title":"Get a bank account","deprecated":null,"version":null,"openapi":"/openapi.json get /bankaccounts/{id}","href":"/api-reference/bank-accounts/get-a-bank-account"},{"title":"Get bank accounts","deprecated":null,"version":null,"openapi":"/openapi.json get /bankaccounts","href":"/api-reference/bank-accounts/get-bank-accounts"},{"title":"Get bank account matter balances","deprecated":null,"version":null,"openapi":"/openapi.json get /bankaccounts/{id}/matter-balances","href":"/api-reference/bank-accounts/get-bank-account-matter-balances"},{"title":"Get a protected bank account balance","deprecated":null,"version":null,"openapi":"/openapi.json get /bankaccounts/{id}/protected-balances/{protectionId}","href":"/api-reference/bank-accounts/get-a-protected-bank-account-balance"},{"title":"Protect bank account funds","deprecated":null,"version":null,"openapi":"/openapi.json post /bankaccounts/{id}/protect-funds","href":"/api-reference/bank-accounts/protect-bank-account-funds"},{"title":"Unprotect bank account funds","deprecated":null,"version":null,"openapi":"/openapi.json post /bankaccounts/{id}/unprotect-funds/{protectionId}","href":"/api-reference/bank-accounts/unprotect-bank-account-funds"},{"title":"Create a requisition","deprecated":null,"version":null,"openapi":"/openapi.json post /bankaccounts/{id}/requisitions","href":"/api-reference/bank-accounts/create-a-requisition"},{"title":"Get transactions","deprecated":null,"version":null,"openapi":"/openapi.json get /bankaccounts/{bankAccountId}/transactions","href":"/api-reference/bank-accounts/get-transactions"},{"title":"Create a transaction","deprecated":null,"version":null,"openapi":"/openapi.json post /bankaccounts/{bankAccountId}/transactions","href":"/api-reference/bank-accounts/create-a-transaction"},{"title":"Get a transaction","deprecated":null,"version":null,"openapi":"/openapi.json get /bankaccounts/{bankAccountId}/transactions/{id}","href":"/api-reference/bank-accounts/get-a-transaction"}]},{"group":"Contacts","pages":[{"title":"Get contact relations","deprecated":null,"version":null,"openapi":"/openapi.json get /contacts/{contactId}/relations","href":"/api-reference/contacts/get-contact-relations"},{"title":"Create a contact relation","deprecated":null,"version":null,"openapi":"/openapi.json post /contacts/{contactId}/relations","href":"/api-reference/contacts/create-a-contact-relation"},{"title":"Get a contact relation","deprecated":null,"version":null,"openapi":"/openapi.json get /contacts/{contactId}/relations/{relatedContactId}","href":"/api-reference/contacts/get-a-contact-relation"},{"title":"Update a contact relation","deprecated":null,"version":null,"openapi":"/openapi.json put /contacts/{contactId}/relations/{relatedContactId}","href":"/api-reference/contacts/update-a-contact-relation"},{"title":"Delete a contact relation","deprecated":null,"version":null,"openapi":"/openapi.json delete /contacts/{contactId}/relations/{relatedContactId}","href":"/api-reference/contacts/delete-a-contact-relation"},{"title":"Get contacts","deprecated":null,"version":null,"openapi":"/openapi.json get /contacts","href":"/api-reference/contacts/get-contacts"},{"title":"Create a contact","deprecated":null,"version":null,"openapi":"/openapi.json post /contacts","href":"/api-reference/contacts/create-a-contact"},{"title":"Get a contact","deprecated":null,"version":null,"openapi":"/openapi.json get /contacts/{id}","href":"/api-reference/contacts/get-a-contact"},{"title":"Update a contact","deprecated":null,"version":null,"openapi":"/openapi.json put /contacts/{id}","href":"/api-reference/contacts/update-a-contact"},{"title":"Delete a contact","deprecated":null,"version":null,"openapi":"/openapi.json delete /contacts/{id}","href":"/api-reference/contacts/delete-a-contact"},{"title":"Get contacts by ids","deprecated":null,"version":null,"openapi":"/openapi.json post /contacts/batch","href":"/api-reference/contacts/get-contacts-by-ids"},{"title":"Get contact tags","deprecated":null,"version":null,"openapi":"/openapi.json get /contacts/{id}/tags","href":"/api-reference/contacts/get-contact-tags"},{"title":"Add tags to a contact","deprecated":null,"version":null,"openapi":"/openapi.json post /contacts/{id}/tags","href":"/api-reference/contacts/add-tags-to-a-contact"},{"title":"Remove tags from a contact","deprecated":null,"version":null,"openapi":"/openapi.json delete /contacts/{id}/tags/{tagId}","href":"/api-reference/contacts/remove-tags-from-a-contact"}]},{"group":"Events","pages":[{"title":"Get events","deprecated":null,"version":null,"openapi":"/openapi.json get /events","href":"/api-reference/events/get-events"},{"title":"Create event","deprecated":null,"version":null,"openapi":"/openapi.json post /events","href":"/api-reference/events/create-event"},{"title":"Get an event","deprecated":null,"version":null,"openapi":"/openapi.json get /events/{eventId}","href":"/api-reference/events/get-an-event"},{"title":"Update event","deprecated":null,"version":null,"openapi":"/openapi.json put /events/{eventId}","href":"/api-reference/events/update-event"},{"title":"Delete event","deprecated":null,"version":null,"openapi":"/openapi.json delete /events/{eventId}","href":"/api-reference/events/delete-event"},{"title":"Gets reminders for an event","deprecated":null,"version":null,"openapi":"/openapi.json get /events/{eventId}/reminders","href":"/api-reference/events/gets-reminders-for-an-event"},{"title":"Create reminder for an event","deprecated":null,"version":null,"openapi":"/openapi.json post /events/{eventId}/reminders","href":"/api-reference/events/create-reminder-for-an-event"},{"title":"Update a reminder for an event","deprecated":null,"version":null,"openapi":"/openapi.json put /events/{eventId}/reminders/{reminderId}","href":"/api-reference/events/update-a-reminder-for-an-event"},{"title":"Delete reminder for an event","deprecated":null,"version":null,"openapi":"/openapi.json delete /events/{eventId}/reminders/{reminderId}","href":"/api-reference/events/delete-reminder-for-an-event"}]},{"group":"Expenses","pages":[{"title":"Get expenses","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/expenses","href":"/api-reference/expenses/get-expenses"},{"title":"Create an expense","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/expenses","href":"/api-reference/expenses/create-an-expense"},{"title":"Get an expense","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/expenses/{id}","href":"/api-reference/expenses/get-an-expense"},{"title":"Update an expense","deprecated":null,"version":null,"openapi":"/openapi.json put /matters/{matterId}/expenses/{id}","href":"/api-reference/expenses/update-an-expense"},{"title":"Delete an expense","deprecated":null,"version":null,"openapi":"/openapi.json delete /matters/{matterId}/expenses/{id}","href":"/api-reference/expenses/delete-an-expense"},{"title":"Patch an expense","deprecated":null,"version":null,"openapi":"/openapi.json patch /matters/{matterId}/expenses/{id}","href":"/api-reference/expenses/patch-an-expense"}]},{"group":"Fees","pages":[{"title":"Get fees","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/fees","href":"/api-reference/fees/get-fees"},{"title":"Create a fee","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/fees","href":"/api-reference/fees/create-a-fee"},{"title":"Get a fee","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/fees/{id}","href":"/api-reference/fees/get-a-fee"},{"title":"Update a fee","deprecated":null,"version":null,"openapi":"/openapi.json put /matters/{matterId}/fees/{id}","href":"/api-reference/fees/update-a-fee"},{"title":"Delete a fee","deprecated":null,"version":null,"openapi":"/openapi.json delete /matters/{matterId}/fees/{id}","href":"/api-reference/fees/delete-a-fee"},{"title":"Patch a fee","deprecated":null,"version":null,"openapi":"/openapi.json patch /matters/{matterId}/fees/{id}","href":"/api-reference/fees/patch-a-fee"}]},{"group":"Files","pages":[{"title":"Get files on a matter","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/documents/files","href":"/api-reference/files/get-files-on-a-matter"},{"title":"Add file to a matter","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/documents/files","href":"/api-reference/files/add-file-to-a-matter"},{"title":"Get a file","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/documents/files/{fileId}","href":"/api-reference/files/get-a-file"},{"title":"Upload/update version or metadata of a file","deprecated":null,"version":null,"openapi":"/openapi.json put /matters/{matterId}/documents/files/{fileId}","href":"/api-reference/files/uploadupdate-version-or-metadata-of-a-file"},{"title":"Delete a file","deprecated":null,"version":null,"openapi":"/openapi.json delete /matters/{matterId}/documents/files/{fileId}","href":"/api-reference/files/delete-a-file"},{"title":"Patch a file","deprecated":null,"version":null,"openapi":"/openapi.json patch /matters/{matterId}/documents/files/{fileId}","href":"/api-reference/files/patch-a-file"},{"title":"Get download url for a file","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/documents/files/{fileId}/download","href":"/api-reference/files/get-download-url-for-a-file"},{"title":"Get upload url for a file","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/documents/files/{fileId}/upload","href":"/api-reference/files/get-upload-url-for-a-file"},{"title":"Get file history on a matter","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/documents/files/{fileId}/history","href":"/api-reference/files/get-file-history-on-a-matter"},{"title":"Add files to a matter","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/documents/files/bulk","href":"/api-reference/files/add-files-to-a-matter"},{"title":"Get preview info for a file","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/documents/files/{fileId}/preview","href":"/api-reference/files/get-preview-info-for-a-file"},{"title":"Get or create a preview","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/documents/files/{fileId}/preview","href":"/api-reference/files/get-or-create-a-preview"},{"title":"Get preview info for a file by document version","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/documents/files/{fileId}/preview/{documentVersionId}","href":"/api-reference/files/get-preview-info-for-a-file-by-document-version"}]},{"group":"Firm","pages":[{"title":"Get firm","deprecated":null,"version":null,"openapi":"/openapi.json get /firm","href":"/api-reference/firm/get-firm"},{"title":"Update firm","deprecated":null,"version":null,"openapi":"/openapi.json put /firm","href":"/api-reference/firm/update-firm"},{"title":"Create firm","deprecated":null,"version":null,"openapi":"/openapi.json post /firm","href":"/api-reference/firm/create-firm"},{"title":"Get firm user mappings","deprecated":null,"version":null,"openapi":"/openapi.json get /firmusers","href":"/api-reference/firm/get-firm-user-mappings"},{"title":"Get firm user mapping","deprecated":null,"version":null,"openapi":"/openapi.json get /firmusers/{id}","href":"/api-reference/firm/get-firm-user-mapping"},{"title":"Update firm user mapping","deprecated":null,"version":null,"openapi":"/openapi.json put /firmusers/{id}","href":"/api-reference/firm/update-firm-user-mapping"},{"title":"Delete firm user mapping","deprecated":null,"version":null,"openapi":"/openapi.json delete /firmusers/{id}","href":"/api-reference/firm/delete-firm-user-mapping"}]},{"group":"Folders","pages":[{"title":"Get folders/files under root folder","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/documents/folders","href":"/api-reference/folders/get-foldersfiles-under-root-folder"},{"title":"Create a folder","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/documents/folders","href":"/api-reference/folders/create-a-folder"},{"title":"Get folders/files under a folder","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/documents/folders/{folderId}","href":"/api-reference/folders/get-foldersfiles-under-a-folder"},{"title":"Update a folder","deprecated":null,"version":null,"openapi":"/openapi.json put /matters/{matterId}/documents/folders/{folderId}","href":"/api-reference/folders/update-a-folder"},{"title":"Delete a folder","deprecated":null,"version":null,"openapi":"/openapi.json delete /matters/{matterId}/documents/folders/{folderId}","href":"/api-reference/folders/delete-a-folder"},{"title":"Patch a folder","deprecated":null,"version":null,"openapi":"/openapi.json patch /matters/{matterId}/documents/folders/{folderId}","href":"/api-reference/folders/patch-a-folder"},{"title":"Get folder path hierarchy","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/documents/folders/{folderId}/path","href":"/api-reference/folders/get-folder-path-hierarchy"},{"title":"Get folder history on a matter","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/documents/folders/{folderId}/history","href":"/api-reference/folders/get-folder-history-on-a-matter"}]},{"group":"Integrated Search","pages":[{"title":"Get mapping","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/integrated-search/mapping","href":"/api-reference/integrated-search/get-mapping"}]},{"group":"Invitations","pages":[{"title":"Search invitations","deprecated":null,"version":null,"openapi":"/openapi.json get /invitations","href":"/api-reference/invitations/search-invitations"},{"title":"Invite a person to join the firm","deprecated":null,"version":null,"openapi":"/openapi.json post /invitations","href":"/api-reference/invitations/invite-a-person-to-join-the-firm"},{"title":"Get an invitation","deprecated":null,"version":null,"openapi":"/openapi.json get /invitations/{id}","href":"/api-reference/invitations/get-an-invitation"},{"title":"Cancel an invitation","deprecated":null,"version":null,"openapi":"/openapi.json delete /invitations/{id}","href":"/api-reference/invitations/cancel-an-invitation"},{"title":"Resend an invitation","deprecated":null,"version":null,"openapi":"/openapi.json post /invitations/{id}/resend","href":"/api-reference/invitations/resend-an-invitation"},{"title":"Accept an invitation","deprecated":null,"version":null,"openapi":"/openapi.json post /invitations/{id}/accept","href":"/api-reference/invitations/accept-an-invitation"}]},{"group":"Invoices","pages":[{"title":"Get invoices","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/invoices","href":"/api-reference/invoices/get-invoices"},{"title":"Get an invoice","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/invoices/{invoiceId}","href":"/api-reference/invoices/get-an-invoice"},{"title":"Get download url for an invoice","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/invoices/{invoiceId}/download","href":"/api-reference/invoices/get-download-url-for-an-invoice"}]},{"group":"Layout Designs","pages":[{"title":"Get layout designs","deprecated":null,"version":null,"openapi":"/openapi.json get /layouts","href":"/api-reference/layout-designs/get-layout-designs"},{"title":"Get a layout design","deprecated":null,"version":null,"openapi":"/openapi.json get /layouts/{id}","href":"/api-reference/layout-designs/get-a-layout-design"}]},{"group":"Layout Matter Items","pages":[{"title":"Get layouts","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/layouts","href":"/api-reference/layout-matter-items/get-layouts"},{"title":"Add a new layout","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/layouts","href":"/api-reference/layout-matter-items/add-a-new-layout"},{"title":"Get a layout","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/layouts/{itemId}","href":"/api-reference/layout-matter-items/get-a-layout"},{"title":"Remove a layout","deprecated":null,"version":null,"openapi":"/openapi.json delete /matters/{matterId}/layouts/{itemId}","href":"/api-reference/layout-matter-items/remove-a-layout"},{"title":"Merge a layout","deprecated":null,"version":null,"openapi":"/openapi.json patch /matters/{matterId}/layouts/{itemId}","href":"/api-reference/layout-matter-items/merge-a-layout"},{"title":"Get layout contacts","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/layouts/{itemId}/contacts","href":"/api-reference/layout-matter-items/get-layout-contacts"},{"title":"Add a contact to a layout","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/layouts/{itemId}/contacts","href":"/api-reference/layout-matter-items/add-a-contact-to-a-layout"},{"title":"Remove a contact from a layout","deprecated":null,"version":null,"openapi":"/openapi.json delete /matters/{matterId}/layouts/{itemId}/contacts","href":"/api-reference/layout-matter-items/remove-a-contact-from-a-layout"}]},{"group":"Matter Items","pages":[{"title":"Get items on a matter","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/items","href":"/api-reference/matter-items/get-items-on-a-matter"},{"title":"Get an item on a matter","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/items/{id}","href":"/api-reference/matter-items/get-an-item-on-a-matter"}]},{"group":"Matter Types","pages":[{"title":"Get matter types","deprecated":null,"version":null,"openapi":"/openapi.json get /mattertypes","href":"/api-reference/matter-types/get-matter-types"},{"title":"Get a matter type","deprecated":null,"version":null,"openapi":"/openapi.json get /mattertypes/{id}","href":"/api-reference/matter-types/get-a-matter-type"},{"title":"Get matter types categories","deprecated":null,"version":null,"openapi":"/openapi.json get /mattertypes/categories","href":"/api-reference/matter-types/get-matter-types-categories"}]},{"group":"Matters","pages":[{"title":"Get the archive for a matter","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/archive","href":"/api-reference/matters/get-the-archive-for-a-matter"},{"title":"Update an archive for a matter.","deprecated":null,"version":null,"openapi":"/openapi.json put /matters/{matterId}/archive","href":"/api-reference/matters/update-an-archive-for-a-matter"},{"title":"Patch an archive for a matter","deprecated":null,"version":null,"openapi":"/openapi.json patch /matters/{matterId}/archive","href":"/api-reference/matters/patch-an-archive-for-a-matter"},{"title":"Get matter billing configuration","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/billingconfiguration","href":"/api-reference/matters/get-matter-billing-configuration"},{"title":"Update matter billing configuration","deprecated":null,"version":null,"openapi":"/openapi.json put /matters/{matterId}/billingconfiguration","href":"/api-reference/matters/update-matter-billing-configuration"},{"title":"Patch matter billing configuration","deprecated":null,"version":null,"openapi":"/openapi.json patch /matters/{matterId}/billingconfiguration","href":"/api-reference/matters/patch-matter-billing-configuration"},{"title":"Get matters","deprecated":null,"version":null,"openapi":"/openapi.json get /matters","href":"/api-reference/matters/get-matters"},{"title":"Create a matter","deprecated":null,"version":null,"openapi":"/openapi.json post /matters","href":"/api-reference/matters/create-a-matter"},{"title":"Get a matter","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}","href":"/api-reference/matters/get-a-matter"},{"title":"Update a matter","deprecated":null,"version":null,"openapi":"/openapi.json put /matters/{matterId}","href":"/api-reference/matters/update-a-matter"},{"title":"Delete a matter","deprecated":null,"version":null,"openapi":"/openapi.json delete /matters/{matterId}","href":"/api-reference/matters/delete-a-matter"},{"title":"Patch a matter","deprecated":null,"version":null,"openapi":"/openapi.json patch /matters/{matterId}","href":"/api-reference/matters/patch-a-matter"},{"title":"Get matter tags","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/tags","href":"/api-reference/matters/get-matter-tags"},{"title":"Add tags to a matter","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/tags","href":"/api-reference/matters/add-tags-to-a-matter"},{"title":"Remove tags from a matter","deprecated":null,"version":null,"openapi":"/openapi.json delete /matters/{matterId}/tags/{tagId}","href":"/api-reference/matters/remove-tags-from-a-matter"}]},{"group":"Memos","pages":[{"title":"Get memos on a matter","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/memos","href":"/api-reference/memos/get-memos-on-a-matter"},{"title":"Create a memo on a matter","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/memos","href":"/api-reference/memos/create-a-memo-on-a-matter"},{"title":"Get a memo","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/memos/{id}","href":"/api-reference/memos/get-a-memo"},{"title":"Update a memo","deprecated":null,"version":null,"openapi":"/openapi.json put /matters/{matterId}/memos/{id}","href":"/api-reference/memos/update-a-memo"},{"title":"Delete a memo","deprecated":null,"version":null,"openapi":"/openapi.json delete /matters/{matterId}/memos/{id}","href":"/api-reference/memos/delete-a-memo"}]},{"group":"Notifications","pages":[{"title":"Get a notification","deprecated":null,"version":null,"openapi":"/openapi.json get /notifications/{id}","href":"/api-reference/notifications/get-a-notification"},{"title":"Create a notification","deprecated":null,"version":null,"openapi":"/openapi.json post /notifications","href":"/api-reference/notifications/create-a-notification"}]},{"group":"Plugins","pages":[{"title":"Get a plugin","deprecated":null,"version":null,"openapi":"/openapi.json get /plugins/{pluginId}","href":"/api-reference/plugins/get-a-plugin"},{"title":"Update existing plugin","deprecated":null,"version":null,"openapi":"/openapi.json put /plugins/{pluginId}","href":"/api-reference/plugins/update-existing-plugin"},{"title":"Delete existing plugin","deprecated":null,"version":null,"openapi":"/openapi.json delete /plugins/{pluginId}","href":"/api-reference/plugins/delete-existing-plugin"},{"title":"Get plugins","deprecated":null,"version":null,"openapi":"/openapi.json get /plugins","href":"/api-reference/plugins/get-plugins"},{"title":"Create a new plugin","deprecated":null,"version":null,"openapi":"/openapi.json post /plugins","href":"/api-reference/plugins/create-a-new-plugin"},{"title":"Request plugin URL","deprecated":null,"version":null,"openapi":"/openapi.json post /plugins/{pluginId}/url","href":"/api-reference/plugins/request-plugin-url"},{"title":"Get a plugin subscription","deprecated":null,"version":null,"openapi":"/openapi.json get /plugins/{pluginId}/subscriptions/{id}","href":"/api-reference/plugins/get-a-plugin-subscription"},{"title":"Unsubscribes account from plugin","deprecated":null,"version":null,"openapi":"/openapi.json delete /plugins/{pluginId}/subscriptions/{id}","href":"/api-reference/plugins/unsubscribes-account-from-plugin"},{"title":"Get plugin subscriptions","deprecated":null,"version":null,"openapi":"/openapi.json get /plugins/{pluginId}/subscriptions","href":"/api-reference/plugins/get-plugin-subscriptions"},{"title":"Subscribe account to plugin","deprecated":null,"version":null,"openapi":"/openapi.json post /plugins/{pluginId}/subscriptions","href":"/api-reference/plugins/subscribe-account-to-plugin"}]},{"group":"Portal","pages":[{"title":"Creates a portal task","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/portal/tasks","href":"/api-reference/portal/creates-a-portal-task"},{"title":"Sends a portal message","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/portal/messages","href":"/api-reference/portal/sends-a-portal-message"},{"title":"Patch a portal task","deprecated":null,"version":null,"openapi":"/openapi.json patch /matters/{matterId}/portal/tasks/{taskId}","href":"/api-reference/portal/patch-a-portal-task"}]},{"group":"Referral Types","pages":[{"title":"Get referral types","deprecated":null,"version":null,"openapi":"/openapi.json get /referraltypes","href":"/api-reference/referral-types/get-referral-types"},{"title":"Get a referral type","deprecated":null,"version":null,"openapi":"/openapi.json get /referraltypes/{id}","href":"/api-reference/referral-types/get-a-referral-type"}]},{"group":"Relationships","pages":[{"title":"Get relationships on a matter","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/roles/{roleId}/relationships","href":"/api-reference/relationships/get-relationships-on-a-matter"},{"title":"Add relationship to a role","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/roles/{roleId}/relationships","href":"/api-reference/relationships/add-relationship-to-a-role"},{"title":"Get relationship on a role","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/roles/{roleId}/relationships/{id}","href":"/api-reference/relationships/get-relationship-on-a-role"},{"title":"Update a relationship","deprecated":null,"version":null,"openapi":"/openapi.json put /matters/{matterId}/roles/{roleId}/relationships/{id}","href":"/api-reference/relationships/update-a-relationship"},{"title":"Remove relationship from a role in a matter.","deprecated":null,"version":null,"openapi":"/openapi.json delete /matters/{matterId}/roles/{roleId}/relationships/{id}","href":"/api-reference/relationships/remove-relationship-from-a-role-in-a-matter"}]},{"group":"Roles","pages":[{"title":"Get roles on a matter","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/roles","href":"/api-reference/roles/get-roles-on-a-matter"},{"title":"Add role to a matter","deprecated":null,"version":null,"openapi":"/openapi.json post /matters/{matterId}/roles","href":"/api-reference/roles/add-role-to-a-matter"},{"title":"Get role on a matter","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/roles/{id}","href":"/api-reference/roles/get-role-on-a-matter"},{"title":"Update role on a matter","deprecated":null,"version":null,"openapi":"/openapi.json put /matters/{matterId}/roles/{id}","href":"/api-reference/roles/update-role-on-a-matter"},{"title":"Remove role from a matter","deprecated":null,"version":null,"openapi":"/openapi.json delete /matters/{matterId}/roles/{id}","href":"/api-reference/roles/remove-role-from-a-matter"}]},{"group":"Search","pages":[{"title":"Search files with advanced filters","deprecated":null,"version":null,"openapi":"/openapi.json post /search/files","href":"/api-reference/search/search-files-with-advanced-filters"}]},{"group":"Staff","pages":[{"title":"Search firm staff members","deprecated":null,"version":null,"openapi":"/openapi.json get /staff","href":"/api-reference/staff/search-firm-staff-members"},{"title":"Create firm staff member","deprecated":null,"version":null,"openapi":"/openapi.json post /staff","href":"/api-reference/staff/create-firm-staff-member"},{"title":"Get firm staff member","deprecated":null,"version":null,"openapi":"/openapi.json get /staff/{id}","href":"/api-reference/staff/get-firm-staff-member"},{"title":"Update firm staff member","deprecated":null,"version":null,"openapi":"/openapi.json put /staff/{id}","href":"/api-reference/staff/update-firm-staff-member"},{"title":"Deletes a firm staff member","deprecated":null,"version":null,"openapi":"/openapi.json delete /staff/{id}","href":"/api-reference/staff/deletes-a-firm-staff-member"}]},{"group":"Stages","pages":[{"title":"Get stage to matter mappings in the firm","deprecated":null,"version":null,"openapi":"/openapi.json get /stages","href":"/api-reference/stages/get-stage-to-matter-mappings-in-the-firm"},{"title":"Get a matter stage information","deprecated":null,"version":null,"openapi":"/openapi.json get /matters/{matterId}/stages","href":"/api-reference/stages/get-a-matter-stage-information"},{"title":"Get stage sets for the firm","deprecated":null,"version":null,"openapi":"/openapi.json get /stagesets","href":"/api-reference/stages/get-stage-sets-for-the-firm"},{"title":"Get a stage set","deprecated":null,"version":null,"openapi":"/openapi.json get /stagesets/{id}","href":"/api-reference/stages/get-a-stage-set"},{"title":"Get a stage on a stage set","deprecated":null,"version":null,"openapi":"/openapi.json get /stagesets/{stageSetId}/stages/{id}","href":"/api-reference/stages/get-a-stage-on-a-stage-set"}]},{"group":"Tasks","pages":[{"title":"Get a subtask","deprecated":null,"version":null,"openapi":"/openapi.json get /tasks/{taskId}/subtasks/{id}","href":"/api-reference/tasks/get-a-subtask"},{"title":"Update a subtask","deprecated":null,"version":null,"openapi":"/openapi.json put /tasks/{taskId}/subtasks/{id}","href":"/api-reference/tasks/update-a-subtask"},{"title":"Delete a subtask","deprecated":null,"version":null,"openapi":"/openapi.json delete /tasks/{taskId}/subtasks/{id}","href":"/api-reference/tasks/delete-a-subtask"},{"title":"Get subtasks","deprecated":null,"version":null,"openapi":"/openapi.json get /tasks/{taskId}/subtasks","href":"/api-reference/tasks/get-subtasks"},{"title":"Create a subtask","deprecated":null,"version":null,"openapi":"/openapi.json post /tasks/{taskId}/subtasks","href":"/api-reference/tasks/create-a-subtask"},{"title":"Get task documents","deprecated":null,"version":null,"openapi":"/openapi.json get /tasks/{taskId}/documents","href":"/api-reference/tasks/get-task-documents"},{"title":"Create a task document","deprecated":null,"version":null,"openapi":"/openapi.json post /tasks/{taskId}/documents","href":"/api-reference/tasks/create-a-task-document"},{"title":"Get a task document","deprecated":null,"version":null,"openapi":"/openapi.json get /tasks/{taskId}/documents/{id}","href":"/api-reference/tasks/get-a-task-document"},{"title":"Delete a task document","deprecated":null,"version":null,"openapi":"/openapi.json delete /tasks/{taskId}/documents/{id}","href":"/api-reference/tasks/delete-a-task-document"},{"title":"Get a task","deprecated":null,"version":null,"openapi":"/openapi.json get /tasks/{id}","href":"/api-reference/tasks/get-a-task"},{"title":"Update a task","deprecated":null,"version":null,"openapi":"/openapi.json put /tasks/{id}","href":"/api-reference/tasks/update-a-task"},{"title":"Delete a task","deprecated":null,"version":null,"openapi":"/openapi.json delete /tasks/{id}","href":"/api-reference/tasks/delete-a-task"},{"title":"Get tasks","deprecated":null,"version":null,"openapi":"/openapi.json get /tasks","href":"/api-reference/tasks/get-tasks"},{"title":"Create a task","deprecated":null,"version":null,"openapi":"/openapi.json post /tasks","href":"/api-reference/tasks/create-a-task"}]},{"group":"Users","pages":[{"title":"Get user registrations","deprecated":null,"version":null,"openapi":"/openapi.json get /users/registrations","href":"/api-reference/users/get-user-registrations"},{"title":"Get a user","deprecated":null,"version":null,"openapi":"/openapi.json get /users/{id}","href":"/api-reference/users/get-a-user"},{"title":"Remove a user","deprecated":null,"version":null,"openapi":"/openapi.json delete /users/{id}","href":"/api-reference/users/remove-a-user"},{"title":"Create a user","deprecated":null,"version":null,"openapi":"/openapi.json post /users","href":"/api-reference/users/create-a-user"},{"title":"Resend sign-in credentials","deprecated":null,"version":null,"openapi":"/openapi.json post /users/{id}/invite","href":"/api-reference/users/resend-sign-in-credentials"}]},{"group":"Webhooks","pages":[{"title":"Get event types","deprecated":null,"version":null,"openapi":"/openapi.json get /webhooks/types","href":"/api-reference/webhooks/get-event-types"},{"title":"Get webhook subscriptions","deprecated":null,"version":null,"openapi":"/openapi.json get /webhooks","href":"/api-reference/webhooks/get-webhook-subscriptions"},{"title":"Create new webhook subscription","deprecated":null,"version":null,"openapi":"/openapi.json post /webhooks","href":"/api-reference/webhooks/create-new-webhook-subscription"},{"title":"Get a webhook subscription","deprecated":null,"version":null,"openapi":"/openapi.json get /webhooks/{id}","href":"/api-reference/webhooks/get-a-webhook-subscription"},{"title":"Update a webhook subscription","deprecated":null,"version":null,"openapi":"/openapi.json put /webhooks/{id}","href":"/api-reference/webhooks/update-a-webhook-subscription"},{"title":"Deletes a webhook subscription","deprecated":null,"version":null,"openapi":"/openapi.json delete /webhooks/{id}","href":"/api-reference/webhooks/deletes-a-webhook-subscription"},{"title":"Notify a webhook subscription","deprecated":null,"version":null,"openapi":"/openapi.json post /webhooks/{id}/notify","href":"/api-reference/webhooks/notify-a-webhook-subscription"}]}]}]},{"tab":"SDK","pages":[{"title":"SDK","href":"/docs/sdk-docs/675c9816cdaf6-getting-started"}]},{"tab":"Status","pages":[{"title":"Status","href":"/docs/platform-docs/e8rdxqzugb5zf-status"}]},{"tab":"Release Notes","pages":[{"title":"Release Notes","href":"/docs/api-docs/98439555e1d41-release-notes"}]}]},"basePath":"","title":"Get an activity code - Smokeball","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}